QwtAnalogClock(3)

NAME
QwtAnalogClock - An analog clock.

SYNOPSIS

#include <qwt_analog_clock.h>

Inherits QwtDial.

  Public Types
enum Hand { SecondHand, MinuteHand, HourHand, NHands }

  Public Slots
void setCurrentTime ()
Set the current time.
void setTime (const QTime &)

  Public Member Functions
QwtAnalogClock (QWidget *parent=NULL)
virtual ~QwtAnalogClock ()
Destructor.
void setHand (Hand, QwtDialNeedle *)
const QwtDialNeedle * hand (Hand) const
QwtDialNeedle * hand (Hand)

  Protected Member Functions
virtual void drawNeedle (QPainter *, const QPointF &, double radius, double direction, QPalette::ColorGroup) const
Draw the needle.
virtual void drawHand (QPainter *, Hand, const QPointF &, double radius, double direction, QPalette::ColorGroup) const

  Additional Inherited Members

Detailed Description

An analog clock.

Example

    #include <qwt_analog_clock.h>
    QwtAnalogClock *clock = new QwtAnalogClock(...);
    clock->scaleDraw()->setPenWidth(3);
    clock->setLineWidth(6);
    clock->setFrameShadow(QwtDial::Sunken);
    clock->setTime();
    // update the clock every second
    QTimer *timer = new QTimer(clock);
    timer->connect(timer, SIGNAL(timeout()), clock, SLOT(setCurrentTime()));
    timer->start(1000);

Note
    The examples/dials example shows how to use QwtAnalogClock.

Member Enumeration Documentation

  enum QwtAnalogClock::Hand
Hand type

See also
    setHand(), hand()

Enumerator

SecondHand
    Needle displaying the seconds.

MinuteHand
    Needle displaying the minutes.

HourHand
    Needle displaying the hours.

NHands
    Number of needles.

Constructor & Destructor Documentation

  QwtAnalogClock::QwtAnalogClock (QWidget * parent = NULL) [explicit]
Constructor

Parameters
    parent Parent widget

Member Function Documentation

  void QwtAnalogClock::drawHand (QPainter * painter, Hand hd, const QPointF & center, double radius, double direction, QPalette::ColorGroup cg) const [protected], [virtual]
Draw a clock hand

Parameters
    painter Painter
    hd Specify the type of hand
    center Center of the clock
    radius Maximum length for the hands
    direction Direction of the hand in degrees, counter clockwise
    cg ColorGroup

  void QwtAnalogClock::drawNeedle (QPainter * painter, const QPointF & center, double radius, double dir, QPalette::ColorGroup colorGroup) const [protected], [virtual]

Draw the needle. A clock has no single needle but three hands instead. drawNeedle() translates value() into directions for the hands and calls drawHand().

Parameters
    painter Painter
    center Center of the clock
    radius Maximum length for the hands
    dir Dummy, not used.
    colorGroup ColorGroup

See also
    drawHand()

Reimplemented from QwtDial.

  QwtDialNeedle * QwtAnalogClock::hand (Hand hd)

Returns
    Clock hand

Parameters
    hd Specifies the type of hand

See also
    setHand()

  const QwtDialNeedle * QwtAnalogClock::hand (Hand hd) const

Returns
    Clock hand

Parameters
    hd Specifies the type of hand

See also
    setHand()

  void QwtAnalogClock::setHand (Hand hand, QwtDialNeedle * needle)
Set a clock hand

Parameters
    hand Specifies the type of hand
    needle Hand

See also
    hand()

  void QwtAnalogClock::setTime (const QTime & time) [slot]
Set a time

Parameters
    time Time to display

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.